Bug 499594 - virt-viewer doesn't know how to provide a username/password to libvirt connections
virt-viewer doesn't know how to provide a username/password to libvirt connec...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: virt-viewer (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11VirtTarget
  Show dependency treegraph
 
Reported: 2009-05-07 07:19 EDT by Daniel Berrange
Modified: 2009-07-23 14:59 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.0.3-6.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-23 14:59:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix auth handling (1.12 KB, patch)
2009-05-07 08:07 EDT, Daniel Berrange
no flags Details | Diff

  None (edit)
Description Daniel Berrange 2009-05-07 07:19:25 EDT
Description of problem:

$ virt-viewer -c qemu+tcp://somehost/system rhel5xen
libvir: Remote error : Failed to start SASL negotiation: -4 (SASL(-4): no mechanism available: No worthy mechs found)
unable to connect to libvirt qemu+tcp://somehost/system

Looking at the code it just calls virConnectOpenReadonly() and thus does not provide any authentication callback. This prevents connection using SASL+Digest-MD5

Version-Release number of selected component (if applicable):
0.0.3

How reproducible:
Always

Steps to Reproduce:
1. Config libvirtd to use SASL+Digest-MD5
2. virt-viewer -c qemu+tcp://somehost/system SOMEGUEST
2.
3.
  
Actual results:
libvir: Remote error : Failed to start SASL negotiation: -4 (SASL(-4): no mechanism available: No worthy mechs found)

Expected results:
Prompts for username+password, and then connects to VNC

Additional info:
Comment 1 Daniel Berrange 2009-05-07 08:07:24 EDT
Created attachment 342829 [details]
Fix auth handling
Comment 2 Daniel Berrange 2009-05-07 08:14:00 EDT
Built in virt-viewer-0.0.3-5.fc11
Comment 3 Fedora Update System 2009-05-26 11:13:21 EDT
virt-viewer-0.0.3-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/virt-viewer-0.0.3-5.fc11
Comment 4 Fedora Update System 2009-05-27 15:06:53 EDT
virt-viewer-0.0.3-5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update virt-viewer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5519
Comment 5 Bug Zapper 2009-06-09 11:18:35 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora Update System 2009-07-19 06:19:53 EDT
virt-viewer-0.0.3-6.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update virt-viewer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5519
Comment 7 Fedora Update System 2009-07-23 14:58:51 EDT
virt-viewer-0.0.3-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.